<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, minimum-scale=1, user-scalable=no, minimal-ui">
<link href="/static/assets/css/fancybox.3.5.7.css" rel="stylesheet" type="text/css">
<link href="/static/css/main.min.css" rel="stylesheet" type="text/css">
<script src="https://code.jquery.com/jquery-3.6.0.min.js" integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/fancybox/3.5.7/jquery.fancybox.min.js"></script>


<div id="reportGallery">
    <div class="container-all" >
        <div class="gallery__title">
            <h1>Галерея отчёта</h1>
        </div>
    
        <div class="gallery__container">
            <div id="loader-wrapper" style="z-index: 100000; display: none">
                <div class="loader-section section-left">	</div>
                <div class="loader-text">
                    <h3>Идет загрузка</h3>
                </div>
                <div class="loader-section section-right" style="background-color: #ffffff;">
                </div>
            </div>
            <div class="gallery__empty" style="display: none">
                <h2>Галерея пустая</h2>
            </div>
            {% for photo in photos %}
                <a class="gallery__item" data-fancybox="images" href="{{ photo.image.url }}">
                    <img src="{{ photo.image.url }}" alt="">
                </a>
            {% endfor %}
        </div>
    </div>
</div>

<script>
    $(".gallery__item").fancybox({
		openEffect	: 'none',
		closeEffect	: 'none'
	});

    function preloader(){
        var imgs = document.images;
        var len = imgs.length;
        var counter = 0;

        $('.gallery__item').length > 0 ? $('#loader-wrapper').show() : $('.gallery__empty').show();


        [].forEach.call( imgs, function( img ) {
            img.complete ? incrementCounter() :  $(img).on('load', incrementCounter );
        } );

        function incrementCounter() {
            counter++;
            if ( counter === len ) {
                $('#loader-wrapper').hide();
            }
        }
    }

    preloader();
</script>